Subject: Re: RFC ietf Drafe Contradicts in NSSA

From: Don Goodspeed <[email-masked]>
Date: Thu, 8 Aug 2002 14:48:44 -0400

Amit,

The nssa-update-11 draft is correct.  Since it's an update
to the RFC, you should always consider it's operation to be
correct.  Just because we cannot state compliance to IETF
drafts does not mean we cannot implement them.

As for the actual reason "why" the change was made, I've seen
situations where an external LSA was chosen by a non-translator
ABR.  The translator ABR goes down, and the non-translator did
not start translating because it had chosen the route from
the Type-5 external (only NSSA reachable routes are translated).

Cheers,
-don

 --- On Thu 08/08, Amit Srivastava  wrote:
From: Amit Srivastava [mailto: [email-masked]]
To: [email-masked]
Date: Thu, 8 Aug 2002 05:03:38 -0700
Subject: RFC ietf Drafe Contradicts in NSSA

> Hi All,
>   I have found a contradition in the NSSA RFC 1587 and
> ietf dratf number 11 for nssa. The RFC specifies in
> section 3.5 2nd last para:-
>
> When a type-5 LSA and a type-7 LSA are found to have
> the same type and an equal distance, the following
> priorities apply (listed from highest to lowest) for
> breaking the tie.
> a. Any type 5 LSA.
> b. A type-7 LSA with the P-bit set and the forwarding
> address non-zero.
> c. Any other type-7 LSA.
>
> While the Draft specifies in section 3.5 2nd Last para
> that:-
>
>           (e) If the current LSA is functionally the
> same as an installed LSA (i.e., same destination, cost
> and non-zero forwarding address) then apply the
> following priorities in deciding which LSA is
> preferred:
>               1. A Type-7 LSA with the P-bit set.
>
>               2. A Type-5 LSA.
>
>               3. The LSA with the higher router ID.
>
> Now my doubt is which one to Follow???
> Please Help
> Regards
> Amit
>
>
>
>
> __________________________________________________
> Do You Yahoo!?
> HotJobs - Search Thousands of New Jobs
> http://www.hotjobs.com
>

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

---

From: Samvid Shah <[email-masked]>
Date: Thu, 8 Aug 2002 14:01:41 -0700

Hi Don and Amit,
          my 2 cents...
          Thanks.
                                     -Samvid

----- Original Message -----
From: Don Goodspeed <[email-masked]>
To: <[email-masked]>
Sent: Thursday, August 08, 2002 11:48 AM
Subject: Re: RFC ietf Drafe Contradicts in NSSA

> the Type-5 external (only NSSA reachable routes are translated).

Samvid>  If we consider NSSA with 2 ABRs both connected to area 0,  probably
we can appreciate  this fact (giving higher priority to type 7 LSA with P
bit set for installing it as AS external route).
Since, type 7 LSA represents intra-area LSA and P bit set represents the LSA
needs to be translated to type 5 ,
giving higher priority to type 7 LSA with P bit  increases chances that
routing will be optimal for AS external routes in this case.